Bug 68846 - mkinitrd requires lvm
mkinitrd requires lvm
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: mkinitrd (Show other bugs)
beta3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-14 23:06 EDT by Bill Nottingham
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-16 12:26:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2002-07-14 23:06:39 EDT
Couldn't it just check for the presence of the lvm tools before putting them on
the initrd? Presumably no one's going to have LVM without having the tools
installed.
Comment 1 Erik Troan 2002-07-16 12:26:36 EDT
Fine with me -- Jeremy did this though so I'll leave it to him to undo it.
Comment 2 Jeremy Katz 2002-07-16 12:33:47 EDT
Except that if you don't have the requires, then you don't necessarily have the
LVM tools installed when the kernel is installed.  Thus, you have root on lvm,
no lvm tools yet, initrd created by kernel install doesn't have lvm in it.  Oops :(


Note You need to log in before you can comment on or make changes to this bug.